POST api/save-message

Request Information

URI Parameters

None.

Body Parameters

MessageDto
NameDescriptionTypeAdditional information
companyId

string

None.

sender

string

None.

senderName

string

None.

groupId

string

None.

groupName

string

None.

message

string

None.

type

string

None.

media

string

None.

Request Formats

application/json, text/json

Sample:
{
  "companyId": "sample string 1",
  "sender": "sample string 2",
  "senderName": "sample string 3",
  "groupId": "sample string 4",
  "groupName": "sample string 5",
  "message": "sample string 6",
  "type": "sample string 7",
  "media": "sample string 8"
}

application/xml, text/xml

Sample:
<MessageDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WhatsAppAPI.Controllers">
  <companyId>sample string 1</companyId>
  <groupId>sample string 4</groupId>
  <groupName>sample string 5</groupName>
  <media>sample string 8</media>
  <message>sample string 6</message>
  <sender>sample string 2</sender>
  <senderName>sample string 3</senderName>
  <type>sample string 7</type>
</MessageDto>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'MessageDto'.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.